مقالات آموزشی

www.

آموزش نصب و تنظیم افزونه WP Mail SMTP در وردپرس

۰۶ آبان ۱۳۹۵ |مقالات آموزشی, وبلاگ |دیدگاه‌ها برای آموزش نصب و تنظیم افزونه WP Mail SMTP در وردپرس بسته هستند

احتمالا شما هم به عنوان یک مدیر وب‌سایت با مشکل ارسال نشدن ایمیل‌ها از سوی اسکریپت خود روبرو بوده‌اید، در چنین حالتی ممکن است با مشکلات متعددی برای حل آن روبرو باشید. در بسیاری از مواقع این مشکل، به دلیل استاندارد نبودن قالب (template) ایمیل‌های پیش‌فرض استفاده شده در آن اسکریپت (script) می‌باشد. با این توضیح که سیستم امنیتی جلوگیری از ارسال اسپم (spam)، چنین ایمیل‌هایی را اسپم شناسایی کرده و مانع از ارسال ایمیل از سوی اسکریپت سایت می‌گردد. متأسفانه این مشکل به صورت پیش‌فرض در اسکریپت محبوب وردپرس (wordpress) نیز وجود دارد و به همین دلیل مدیران وب‌سایت‌ها بعضا با چنین مشکلاتی روبرو هستند. در این مقاله قصد داریم تا راهکار مناسبی را جهت حل این مشکل معرفی نماییم.

وردپرس به صورت پیش‌فرش برای ارسال ایمیل از تابع PHP mail استفاده می‌کند که معمولا ارسال ایمیل با این روش به دلایل گوناگون با موفقیت انجام نمی‌شود. به همین دلیل پیشنهاد می‌گردد تا از افزونه‌‌ای استفاده شود که با استفاده از پروتکل SMTP یا همان Simple Mail Transfer Protocol اقدام به ارسال ایمیل می‌کند، تا قالب استانداردی را برای ایمیل‌های ارسالی از سوی اسکریپت پیاده‌سازی نماید. طبیعتا افزونه‌های بسیار مختلفی در این خصوص وجود دارد که ممکن است شما با مطالعه راهنمای آنها، از هر یک استفاده نمایید. در ادامه نحوه نصب و استفاده از افزونه WP Mail SMTP که در آن هم امکان ارسال ایمیل از طریق پروتکل SMTP و هم ارسال با تابع PHP mail امکان‌پذیر می باشد، مورد بررسی قرار می گیرد.

نصب افزونه

برای نصب افزونه WP Mail SMTP می‌توانید به صفحه این افزونه در سایت وردپرس مراجعه نموده و پس از دریافت فایل افزونه آن را در پوشه wp-plugins در فضای هاست خود بارگزاری نمائید و یا مستقیما به بخش مدیریت وردپرس مراجعه و با جستجوی نام افزونه WP Mail SMTP از امکان نصب خودکار افزونه در پنل مدیریت وردپرس استفاده نمائید.

تنظیمات افزونه

در صفحه تنظیمات با توجه به تصویر زیر تغییرات مورد نیاز را انجام نمایید:

From Email: ابتدا به راهنمای ساخت ایمیل در هاست یک اکانت ایمیل در هاست خود ایجاد نمائید، سپس  آدرس ایمیل مربوطه را در اینجا وارد نمائید.

From Name: نامی که ایمیل‌های ارسالی با آن مشاهده می‌شوند

Mailer: گزینه ارسال ایمیل‌ها با SMTP در وردپرس (Send all WordPress emails via SMTP)

SMTP Host: در اینجا باید عبارت localhost نوشته شود

SMTP Port: پورت ۲۵ را وارد نمایید

Encryption: گزینه No encryption را انتخاب نمایید

Authentication: گزینه Yes را انتخاب نمایید

Username: آدرس یک ایمیل از پیش تعریف شده در هاست خود را وارد نمایید

Password: پسورد آدرس ایمیل مشخص شده در گزینه فوق را وارد نمایید

در انتها کافی است تا تنظیمات را ذخیره فرمایید.

wp_mail_smtp

تست افزونه

پس از ذخیره تغییرات می‌توانید از بخش پایین صفحه و با انتخاب گزینه Send Test ایمیلی جهت تست ارسال نمایید. با رعایت موارد فوق می بایست مشکل شما مرتفع گردد.

بیشتر بخوانید

مشکل امنیتی جوملا نسخه‌های ۱.۵ ، ۲.۵ و ۳

۲۹ آذر ۱۳۹۴ |مقالات آموزشی, وبلاگ |دیدگاه‌ها برای مشکل امنیتی جوملا نسخه‌های ۱.۵ ، ۲.۵ و ۳ بسته هستند

در ۴۸ ساعت گذشته ۲ هشدار امنیتی سطح بالا از سوی تیم توسعه دهنده جوملا گزارش شده است که این موضوع امنیتی برای تمامی نسخه‌های جوملا می باشد. لذا لطفا در اسرع وقت اقدام به بروزرسانی مدیریت محتوا خود به آخرین نسخه نمایید و این مشکل را جدی بگیرید. (بیشتر…)

بیشتر بخوانید

محافظت از وردپرس در برابر روبات‌های اسپم

۲۷ آذر ۱۳۹۴ |مقالات آموزشی, وبلاگ |دیدگاه‌ها برای محافظت از وردپرس در برابر روبات‌های اسپم بسته هستند

وردپرس سیستم مدیریت محتوای محبوب ایرانیان است و تعداد بسیاری وب‌سایت برپایه وردپرس راه اندازی شده اند، اما همواره خطر روبات‌های اسپمر در کمین شما می‌باشد و با انجام چند راهکار ساده می توانید با این روبات ها مقابله نمایید. (بیشتر…)

بیشتر بخوانید

کشف باگ امنیتی GHOST Vulnerability در لینوکس

۱۰ بهمن ۱۳۹۳ |اطلاعیه‌ها, مقالات آموزشی, وبلاگ |دیدگاه‌ها برای کشف باگ امنیتی GHOST Vulnerability در لینوکس بسته هستند

در روز ۲۷ ژانویه برابر با هفتم بهمن ماه یک باگ امنیتی بسیار خطرناک در کتابخانه (GNU C (Glibc کشف و در سطح اینترنت مطرح گردیده است که با نام گوست (Ghost) شناخته می شود. این حفره امنیتی به هکر ها اجازه می دهد که با استفاده از  کتابخانه glibc کنترل کامل سرور را بدست بگیرند و مانند حفره های امنیتی بسیار مشهور حمله قلبی (heartbleed) و Shellshock می تواند مشکلات بسیار زیادی را برای صاحبان سرور ها بوجود آورد. با توجه به اهمیت بسیار بالای این ضعف امنیتی لازم است در سریعترین زمان ممکن نسبت به رفع آن اقدام فرمائید. (بیشتر…)

بیشتر بخوانید

مشکل باگ خطرناک و امنیتی بش در سیستم عامل های لینوکسی‎

۱۰ مهر ۱۳۹۳ |اطلاعیه‌ها, مقالات آموزشی, وبلاگ |دیدگاه‌ها برای مشکل باگ خطرناک و امنیتی بش در سیستم عامل های لینوکسی‎ بسته هستند

ساعاتی پیش اخباری حاکی از وجود حفره امنیتی در تمامی سیستم عامل های  Centos , Ubuntu , Debian معروف به Bash گزارش شده که طی این گزارش بعد از حفره امنیتی HeartBlead این باگ از خطرناک ترین مشکلات امنیتی موجود می باشد. (بیشتر…)

بیشتر بخوانید